<div class="row">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <div class="row">
          <div class="col-sm-6">
          <span>
            My Bill Payment Request
          </span>
          </div>
          <div class="col-sm-6">
            <button class="btn btn-success fa-pull-right btn-xs" [routerLink]="['/bill-payment/create', 'new']">
              New Bill Payment Request
            </button>
          </div>
        </div>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <p-table id="exportTable"
                 class="text-center"
                 [columns]="columnName"
                 [value]="(data$)"
                 [(selection)]="selectedItems"
                 [resizableColumns]="true"
                 [autoLayout]="true">

          <ng-template pTemplate="caption">
            List of My Bill Payment Requests
            :&nbsp;{{ totalRecords }}
          </ng-template>
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                {{col.name}}
                <p-sortIcon [field]="col.value"></p-sortIcon>
              </th>
            </tr>
          </ng-template>

          <ng-template pTemplate="body" let-list let-i="rowIndex">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>{{ i + 1 + page * itemsPerPage}}</td>
              <td>{{list.memoCode}}</td>
              <td>{{list.billPaymentRequestedBranch}}</td>
              <td>{{list.subject}}</td>
              <td>{{list.memoDate | date:'MMM d, y, h:mm:ss a'}}</td>
              <td>{{list.fiscalYear}}</td>
              <td>{{list.billAmount}}</td>
              <td>{{list.currentBillPaymentStatus}}</td>
              <td>
                <a [routerLink]="['/pre-approval', list.id, 'BILL_PAYMENT']" name={{list.id}}
                   class="fas fa-eye-slash"
                   pTooltip="View Detail"
                   tooltipPosition="right"></a>
                <a [routerLink]="['/bill-payment/create', list.id]"
                   *ngIf="list.hasPreApproval && list.currentBillPaymentStatus === 'PENDING'"
                   class="fas fa-arrow-circle-up"
                   pTooltip="Resend for bill payment"
                   tooltipPosition="right"></a>
              </td>
            </tr>
          </ng-template>
        </p-table>
        <p-paginator
          [rows]="itemsPerPage"
          [totalRecords]="totalRecords"
          pageLinkSize="3"
          [rowsPerPageOptions]="rowsPerPageOptions"
          (onPageChange)="paginate($event)">
        </p-paginator>
        <!-- /.row -->
      </div>
      <!-- ./box-body -->
      <div class="box-footer">
        <!-- /.row -->
      </div>
      <!-- /.box-footer -->
    </div>
    <!-- /.box -->
  </div>
  <!-- /.col -->
</div>
